# SolrQuery::setTermsLimit

(PECL solr >= 0.9.2)

SolrQuery::setTermsLimit — Sets the maximum number of terms to return

### Description

public SolrQuery::setTermsLimit ( int `$limit` ) : SolrQuery

Sets the maximum number of terms to return

### Parameters

`limit`

  The maximum number of terms to return. All the terms will be returned if the limit is negative.

### Return Values

Returns the current SolrQuery object, if the return value is used.